# -*- coding: utf-8 -*-
# Generated by Django 1.9b1 on 2015-11-08 23:28
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
from django.utils.translation.trans_real import get_supported_language_variant

import pybb.util
from pybb.compat import get_image_field_class


class Migration(migrations.Migration):

    dependencies = [
        ('pybb', '0004_slugs_required'),
    ]

    operations = [
        migrations.AlterField(
            model_name='post',
            name='user_ip',
            field=models.GenericIPAddressField(blank=True, default='0.0.0.0', null=True, verbose_name='User IP'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='avatar',
            field=get_image_field_class()(blank=True, null=True, upload_to=pybb.util.FilePathGenerator(to='pybb/avatar'), verbose_name='Avatar'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='language',
            field=models.CharField(blank=True, choices=settings.LANGUAGES, default=get_supported_language_variant(settings.LANGUAGE_CODE, strict=True), max_length=10, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='profile',
            name='time_zone',
            field=models.FloatField(choices=[(-12.0, '-12'), (-11.0, '-11'), (-10.0, '-10'), (-9.5, '-09.5'), (-9.0, '-09'), (-8.5, '-08.5'), (-8.0, '-08 PST'), (-7.0, '-07 MST'), (-6.0, '-06 CST'), (-5.0, '-05 EST'), (-4.0, '-04 AST'), (-3.5, '-03.5'), (-3.0, '-03 ADT'), (-2.0, '-02'), (-1.0, '-01'), (0.0, '00 GMT'), (1.0, '+01 CET'), (2.0, '+02'), (3.0, '+03'), (3.5, '+03.5'), (4.0, '+04'), (4.5, '+04.5'), (5.0, '+05'), (5.5, '+05.5'), (6.0, '+06'), (6.5, '+06.5'), (7.0, '+07'), (8.0, '+08'), (9.0, '+09'), (9.5, '+09.5'), (10.0, '+10'), (10.5, '+10.5'), (11.0, '+11'), (11.5, '+11.5'), (12.0, '+12'), (13.0, '+13'), (14.0, '+14')], default=3.0, verbose_name='Time zone'),
        ),
    ]
